//----------------------------------------------------------------------
//  File    : ColorPickerDlg.h 
//  Project :
//  Author  : Patrick PRACHE (pprache@kalisto.com)
//  Created : september 10 1999
//----------------------------------------------------------------------
//  Purpose	:    
//  Notes	: 
//----------------------------------------------------------------------

#if !defined(AFX_COLORPICKERDLG_H__31A05E83_6704_11D3_8167_346906C10374__INCLUDED_)
#define AFX_COLORPICKERDLG_H__31A05E83_6704_11D3_8167_346906C10374__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CColorPickerDlg dialog

class CColorPickerDlg : public CDialog
{
// Construction
	friend void testfunc(COLORREF ref,DWORD ClientData);

public:
	CColorPickerDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CColorPickerDlg)
	enum { IDD = IDD_COLORPICKER_DIALOG };
	int		m_r;
	int		m_b;
	int		m_g;
	double	m_h;
	double	m_l;
	double	m_s;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CColorPickerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	friend void testfunc(COLORREF ref,void *ClientData);
    CBitmapButton m_Button;

	HICON m_hIcon;
	PowerColorPicker picker;
	// Generated message map functions
	//{{AFX_MSG(CColorPickerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnApplyrgb();
	afx_msg void OnApplyhsl();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COLORPICKERDLG_H__31A05E83_6704_11D3_8167_346906C10374__INCLUDED_)
